<template>
	<div :ref="c_id_div" :id="c_id_div" :style="c_style_div">
		<img :id="c_id" :style="c_style" :src="c_base64"  alt=""/>
	</div>
</template>

<script>
export default {
  name: 'MesTvImg',
  model: {
    prop: 'c_base64',
    event: 'change'
  },
  props: {
    c_id_div: {
      default: '',
      type: String,
      required: true
    },
    c_style_div: {
      default: () => {},
      type: Object
    },
    c_id: {
      default: '',
      type: String,
      required: true
    },
    c_style: {
      default: () => {},
      type: Object
    },
    c_base64: {
      default: '',
      type: String
    }
  },
  data() {
    return {
    }
  },
  mounted() {
    // console.log(this.$refs)
  },
  created() {
  },
  methods: {
    changeImage(base64) {
      this.c_base64 = base64
    }
  }
}
</script>

<style scoped>

</style>
